function time=EM_Test(samples_in_mixture, dim, n_mixtures)
    time=zeros(length(samples_in_mixture), 1);
    
    for v=1:length(samples_in_mixture)
        samples_in_mixture(v)   
        %Create a sample out of N-classes mixtures with random means and variance for each dim
        X=zeros(samples_in_mixture(v)* n_mixtures,dim);
        b=1;
        for k=1:n_mixtures
            X(b:b-1+samples_in_mixture(v),:)=Random_Gaussian_Sample(samples_in_mixture(v), dim, randn(1, dim)*3, 1+rand(1, dim)*3);
            b=b+samples_in_mixture(v);
        end
        em('Reset');
        em('InitVecs',X,k);
        tic;
        em('Run');
        time(v)=toc;      
    end
end

        