function [G,A,C] = Klassifizieren(TestVektoren,Klassenmittelpunkte);

if iscell(Klassenmittelpunkte),
   KlassenAnzahl = length(Klassenmittelpunkte{1});   
   Priori = Klassenmittelpunkte{1};
   My = Klassenmittelpunkte{2};
   Sigma = Klassenmittelpunkte{3};   
   Normal = 1;
else
   KlassenAnzahl = length(Klassenmittelpunkte(:,1));	
   Normal = 0;
end;

[TestvektorenAnzahl,DIM] = size(TestVektoren);
GewinnerKlasse = zeros(1,TestvektorenAnzahl);
C = cell(1,KlassenAnzahl);


for VektorCounter = 1 : TestvektorenAnzahl     
   	if Normal == 0,
   		% ---------------------- Abstnde berechnen ------------------------------
	   	  	for KlassenCounter = 1:KlassenAnzahl
	      	     Abstaende(VektorCounter,KlassenCounter) = norm(TestVektoren(VektorCounter,:)-Klassenmittelpunkte(KlassenCounter,:));
		      end
			% ------------------------------------------------------------------------
         
         % -------- Gewinnerklasse aus minimalem Abstand berechnen ----------------
	      [AbstandsMinimum,K] = min(Abstaende(VektorCounter,1:KlassenAnzahl));
      else
	      for kl=1 : KlassenAnzahl		% Fr jede Verteilung den Exponenten, Gamma und den Funktionswert berechnen
	         r1 = TestVektoren(VektorCounter,:) - My(kl,:);
             LogDetermi=sum(-log(Sigma(kl,:)));
             SigInv=1./Sigma(kl,:);
	         loggamma(kl) = -DIM/2*log(2*pi)-0.5*LogDetermi;
	         exponent(kl) = -0.5*r1.*SigInv*r1';         
	      end;
      
   	   % Das ist unser Prfgrenvektor
         LogVektor = loggamma + exponent;
         Abstaende(VektorCounter,:) = LogVektor;
      	% -------- Gewinnerklasse aus maximaler Klassenwahrscheinlichkeit berechnen ----------------   
      	[AbstandsMinimum,K] = max(LogVektor);
      end;
         
         
	      GewinnerKlasse(VektorCounter) = K;
			% ---- Fr jede Klasse einen Vektor in der Cell erstellen -------
         C(K) = {[C{K}, VektorCounter]};

 end
%if Normal == 0, A = Abstaende; else A = []; end;
A = Abstaende;
 G = GewinnerKlasse;
 

