function vecplot(Nr,lFrame,Overlap,Filename)

persistent S Sample Bits Laenge Init Frames VecPlotBild

if isempty(VecPlotBild) VecPlotBild = figure, end;
   
if not(exist(Filename)) return; end;
%if Init == 0,
	[S,Sample,Bits,Opt]= wavread(Filename);
   TLaenge= size(S,1) / Sample;   
      
   Init = 1;
%end;
FrameLength = Sample * lFrame;
XStart = Nr*Sample*(lFrame-Overlap) + 1;
XEnd = XStart + Sample*(lFrame-Overlap);

X= S(XStart:XEnd);
T= linspace(Nr*(lFrame-Overlap),Nr*(lFrame-Overlap)+lFrame,length(X));

% 
% Nr / Frames = t / Laenge;
% t = Nr / Frames * Laenge;
% Nr = t / Laenge * Frames;
% S(t) = S(Nr / Frames * Laenge);
help = gcf;
figure(VecPlotBild);
plot(T,X);
m = max(S);
set(gca,'YLim', [-m ,m]);
sound(S(abs(XStart-100):XEnd+100),Sample);
figure(help);





