function [VX,VY] = VPaint(TestVektoren,col,DimX,DimY,GewinnerKlasse,Fontsize,Abst,Userdat)

if nargin < 8, Userdat = []; end;
if nargin < 7, Abst = +1; end;
if nargin < 6, Fontsize = 7; end;
if nargin < 5, GewinnerKlasse = []; end;
if nargin < 4, DimX = 1; DimY = 2; end;
if nargin < 2, col = 'rx'; end;
if nargin < 1, TestVektoren = [0,0;1,0;1,1;0,1]; hold on; text(0.3,0.5,'Geschrieben von Mathias Mamsch'); end;

TextAbstand = 0.25*Abst;


TestvektorenAnzahl = size(TestVektoren,1);

    for VektorCounter = 1: TestvektorenAnzahl
   			% und den Vektor zeichnen 
            v = plot(TestVektoren(VektorCounter,DimX),TestVektoren(VektorCounter,DimY),col);
            if not(isempty(Userdat)) set(v,'UserData',[VektorCounter - 1]); end;
	         hold on; 
	         % und beschriften 
	       
	         %t=text(TestVektoren(VektorCounter,1)-0.1,TestVektoren(VektorCounter,2)-TextAbstand,sprintf('V %d',VektorCounter));
		      %set(t,'FontSize',[7]);
            if size(GewinnerKlasse) > 0
               if isa(GewinnerKlasse,'cell') s=GewinnerKlasse{VektorCounter}; end;
               if isa(GewinnerKlasse,'double') 
                  s=sprintf('%d',GewinnerKlasse(VektorCounter)); 
               end;
               if length(s) > 0
	         		t=text(TestVektoren(VektorCounter,DimX)-0.05,TestVektoren(VektorCounter,DimY)+TextAbstand,s);
                  set(t,'FontSize',[Fontsize]);
               end;
            end;
     end;  
     
     minX = min(TestVektoren(:,DimX));
     maxX = max(TestVektoren(:,DimX));
     minY = min(TestVektoren(:,DimY));
     maxY = max(TestVektoren(:,DimY));

VX = [minX,maxX];
VY = [minY,maxY];
   % axis auto;
   