function [V,L] = readvec(Dateiname)

V=[]; L=-1;

try 
    load(Dateiname);
    V = SAVEVECS;
    L = size(V,2);
catch    
try
	Datei = textread(Dateiname,'%s','delimiter',' ');

	run = 2;
	FirstInd = find(strcmp(Datei,'0:'))+1;
	Length = find(strcmp(Datei,'1:')) - FirstInd;


	X = Datei(FirstInd:FirstInd+Length-1)';

	while run > 0
   	sstr = sprintf('%d:',run);
	   if strcmp(Datei(FirstInd+run*(Length+1)-1),sstr),
   	   ind = FirstInd+run*(Length+1);
      	X=[X; Datei(ind:ind+Length-1)'];
	      run = run+1;
	      else
	         run=-1;
	   end;      
	end;
	L=Length;
	V=str2double(X);   
   
catch,
   sprintf('Error reading File !!!');
end;
end;

