function PlotSample(x)

figure(1);
[a,b]=hist(x);
a=100*(a./size(x,1));
for i=1:size(x,2)
    subplot(1, size(x,2), i);
    bar(b,a(:,i));
    ylim([0,100]); 
    ylabel('Relative Frequency [%]');
end
title('Histogram for each dimension');


if size(x,2)==2  
    figure(2);
    plot(x(:,1), x(:,2), 'b+'); 
    axis('equal');
    mi=min(min(x));
    ma=max(max(x));
    axis('equal');
    axis([mi,ma,mi,ma]); 
end

end